[pkg-boost-commits] r14223 - boost/trunk/debian

smr at alioth.debian.org smr at alioth.debian.org
Wed May 7 02:33:28 UTC 2008


Author: smr
Date: 2008-05-07 02:33:28 +0000 (Wed, 07 May 2008)
New Revision: 14223

Added:
   boost/trunk/debian/libboost-dbg.postinst.in
   boost/trunk/debian/libboost-dbg.prerm.in
   boost/trunk/debian/libboost-python-dev.postinst.in
   boost/trunk/debian/libboost-python-dev.prerm.in
Removed:
   boost/trunk/debian/libboost-dbg.postinst
   boost/trunk/debian/libboost-dbg.prerm
   boost/trunk/debian/libboost-python-dev.postinst
   boost/trunk/debian/libboost-python-dev.prerm
Modified:
   boost/trunk/debian/rules
Log:
Filter the postinst, prerm scripts to subsitute the package version.

Deleted: boost/trunk/debian/libboost-dbg.postinst
===================================================================
--- boost/trunk/debian/libboost-dbg.postinst	2008-05-07 02:14:19 UTC (rev 14222)
+++ boost/trunk/debian/libboost-dbg.postinst	2008-05-07 02:33:28 UTC (rev 14223)
@@ -1,12 +0,0 @@
-#! /bin/sh
-
-set -e
-
-update=/usr/share/python/runtime.d/libboost-dbg.rtupdate
-
-if which pyversions >/dev/null; then
-    $update rtupdate none $(pyversions -d)
-fi
-
-#DEBHELPER#
-

Added: boost/trunk/debian/libboost-dbg.postinst.in
===================================================================
--- boost/trunk/debian/libboost-dbg.postinst.in	                        (rev 0)
+++ boost/trunk/debian/libboost-dbg.postinst.in	2008-05-07 02:33:28 UTC (rev 14223)
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+set -e
+
+update=/usr/share/python/runtime.d/libboost at PKGVERSION@-dbg.rtupdate
+
+if which pyversions >/dev/null; then
+    $update rtupdate none $(pyversions -d)
+fi
+
+#DEBHELPER#
+

Deleted: boost/trunk/debian/libboost-dbg.prerm
===================================================================
--- boost/trunk/debian/libboost-dbg.prerm	2008-05-07 02:14:19 UTC (rev 14222)
+++ boost/trunk/debian/libboost-dbg.prerm	2008-05-07 02:33:28 UTC (rev 14223)
@@ -1,10 +0,0 @@
-#! /bin/sh
-
-set -e
-
-update=/usr/share/python/runtime.d/libboost-dbg.rtupdate
-
-$update remove
-
-#DEBHELPER#
-

Added: boost/trunk/debian/libboost-dbg.prerm.in
===================================================================
--- boost/trunk/debian/libboost-dbg.prerm.in	                        (rev 0)
+++ boost/trunk/debian/libboost-dbg.prerm.in	2008-05-07 02:33:28 UTC (rev 14223)
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+set -e
+
+update=/usr/share/python/runtime.d/libboost at PKGVERSION@-dbg.rtupdate
+
+$update remove
+
+#DEBHELPER#
+

Deleted: boost/trunk/debian/libboost-python-dev.postinst
===================================================================
--- boost/trunk/debian/libboost-python-dev.postinst	2008-05-07 02:14:19 UTC (rev 14222)
+++ boost/trunk/debian/libboost-python-dev.postinst	2008-05-07 02:33:28 UTC (rev 14223)
@@ -1,12 +0,0 @@
-#! /bin/sh
-
-set -e
-
-update=/usr/share/python/runtime.d/libboost-python-dev.rtupdate
-
-if which pyversions >/dev/null; then
-    $update rtupdate none $(pyversions -d)
-fi
-
-#DEBHELPER#
-

Added: boost/trunk/debian/libboost-python-dev.postinst.in
===================================================================
--- boost/trunk/debian/libboost-python-dev.postinst.in	                        (rev 0)
+++ boost/trunk/debian/libboost-python-dev.postinst.in	2008-05-07 02:33:28 UTC (rev 14223)
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+set -e
+
+update=/usr/share/python/runtime.d/libboost-python at PKGVERSION@-dev.rtupdate
+
+if which pyversions >/dev/null; then
+    $update rtupdate none $(pyversions -d)
+fi
+
+#DEBHELPER#
+

Deleted: boost/trunk/debian/libboost-python-dev.prerm
===================================================================
--- boost/trunk/debian/libboost-python-dev.prerm	2008-05-07 02:14:19 UTC (rev 14222)
+++ boost/trunk/debian/libboost-python-dev.prerm	2008-05-07 02:33:28 UTC (rev 14223)
@@ -1,10 +0,0 @@
-#! /bin/sh
-
-set -e
-
-update=/usr/share/python/runtime.d/libboost-python-dev.rtupdate
-
-$update remove
-
-#DEBHELPER#
-

Added: boost/trunk/debian/libboost-python-dev.prerm.in
===================================================================
--- boost/trunk/debian/libboost-python-dev.prerm.in	                        (rev 0)
+++ boost/trunk/debian/libboost-python-dev.prerm.in	2008-05-07 02:33:28 UTC (rev 14223)
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+set -e
+
+update=/usr/share/python/runtime.d/libboost-python at PKGVERSION@-dev.rtupdate
+
+$update remove
+
+#DEBHELPER#
+

Modified: boost/trunk/debian/rules
===================================================================
--- boost/trunk/debian/rules	2008-05-07 02:14:19 UTC (rev 14222)
+++ boost/trunk/debian/rules	2008-05-07 02:33:28 UTC (rev 14223)
@@ -33,6 +33,13 @@
 # These are special cases for suffixes.  Generally come from --buildid, so begin with a dash.
 boost_suffixes_python := -py24 -py25
 
+# Files that are generated by filtering a template
+filtered_files = \
+	debian/libboost-dbg.postinst \
+	debian/libboost-dbg.prerm \
+	debian/libboost-python-dev.postinst \
+	debian/libboost-python-dev.prerm
+
 # Function to map Boost component name to set of shared library names
 # Input: Boost component name
 # Return: shared library names for the given Boost library
@@ -156,6 +163,9 @@
 
 	touch build-stamp
 
+$(filtered_files): % : %.in
+	sed -e 's/@PKGVERSION@/$(PKGVERSION)/g' < $< > $@
+
 clean-debhelper:
 	rm -rf debian/*.install
 	rm -rf debian/*.links
@@ -184,7 +194,7 @@
 	@$(call mk_debhelper_files)
 
 install: DH_OPTIONS=-X.svn
-install: build clean-debhelper
+install: build clean-debhelper $(filtered_files)
 	dh_testdir
 	dh_testroot
 	dh_clean -k




More information about the pkg-boost-commits mailing list